Upstream information

CVE-2018-1064 at MITRE

Description

libvirt version before 4.2.0-rc1 is vulnerable to a resource exhaustion as a result of an incomplete fix for CVE-2018-5748 that affects QEMU monitor but now also triggered via QEMU guest agent.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
SUSE Bugzilla entries: 1076500 [REOPENED], 1083625 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-client >= 2.0.0-27.34.1
  • libvirt-client-32bit >= 2.0.0-27.34.1
  • libvirt-daemon >= 2.0.0-27.34.1
  • libvirt-daemon-config-network >= 2.0.0-27.34.1
  • libvirt-daemon-config-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-interface >= 2.0.0-27.34.1
  • libvirt-daemon-driver-libxl >= 2.0.0-27.34.1
  • libvirt-daemon-driver-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-driver-network >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nodedev >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-driver-secret >= 2.0.0-27.34.1
  • libvirt-daemon-driver-storage >= 2.0.0-27.34.1
  • libvirt-daemon-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-xen >= 2.0.0-27.34.1
  • libvirt-doc >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-576
SUSE Linux Enterprise Desktop 12 SP3
  • libvirt >= 3.3.0-5.19.2
  • libvirt-admin >= 3.3.0-5.19.2
  • libvirt-client >= 3.3.0-5.19.2
  • libvirt-daemon >= 3.3.0-5.19.2
  • libvirt-daemon-config-network >= 3.3.0-5.19.2
  • libvirt-daemon-config-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-interface >= 3.3.0-5.19.2
  • libvirt-daemon-driver-libxl >= 3.3.0-5.19.2
  • libvirt-daemon-driver-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-driver-network >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nodedev >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-driver-secret >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-core >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-disk >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-logical >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-5.19.2
  • libvirt-daemon-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-xen >= 3.3.0-5.19.2
  • libvirt-doc >= 3.3.0-5.19.2
  • libvirt-libs >= 3.3.0-5.19.2
  • virt-install >= 1.4.1-5.8.1
  • virt-manager >= 1.4.1-5.8.1
  • virt-manager-common >= 1.4.1-5.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-618
SUSE Linux Enterprise Module for Basesystem 15
  • libvirt-libs >= 4.0.0-7.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libvirt-libs
SUSE Linux Enterprise Module for Server Applications 15
  • libvirt >= 4.0.0-7.4
  • libvirt-admin >= 4.0.0-7.4
  • libvirt-client >= 4.0.0-7.4
  • libvirt-daemon >= 4.0.0-7.4
  • libvirt-daemon-config-network >= 4.0.0-7.4
  • libvirt-daemon-config-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-interface >= 4.0.0-7.4
  • libvirt-daemon-driver-libxl >= 4.0.0-7.4
  • libvirt-daemon-driver-lxc >= 4.0.0-7.4
  • libvirt-daemon-driver-network >= 4.0.0-7.4
  • libvirt-daemon-driver-nodedev >= 4.0.0-7.4
  • libvirt-daemon-driver-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-qemu >= 4.0.0-7.4
  • libvirt-daemon-driver-secret >= 4.0.0-7.4
  • libvirt-daemon-driver-storage >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-core >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-disk >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-logical >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-7.4
  • libvirt-daemon-hooks >= 4.0.0-7.4
  • libvirt-daemon-lxc >= 4.0.0-7.4
  • libvirt-daemon-qemu >= 4.0.0-7.4
  • libvirt-daemon-xen >= 4.0.0-7.4
  • libvirt-devel >= 4.0.0-7.4
  • libvirt-doc >= 4.0.0-7.4
  • libvirt-lock-sanlock >= 4.0.0-7.4
  • libvirt-nss >= 4.0.0-7.4
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libvirt
SUSE Linux Enterprise Point of Sale 11 SP3
  • libvirt >= 1.0.5.9-21.5.1
  • libvirt-client >= 1.0.5.9-21.5.1
  • libvirt-doc >= 1.0.5.9-21.5.1
  • libvirt-lock-sanlock >= 1.0.5.9-21.5.1
  • libvirt-python >= 1.0.5.9-21.5.1
Patchnames:
sleposp3-libvirt-13600
SUSE Linux Enterprise Server 11 SP3-LTSS
  • libvirt >= 1.0.5.9-21.5.1
  • libvirt-client >= 1.0.5.9-21.5.1
  • libvirt-client-32bit >= 1.0.5.9-21.5.1
  • libvirt-doc >= 1.0.5.9-21.5.1
  • libvirt-lock-sanlock >= 1.0.5.9-21.5.1
  • libvirt-python >= 1.0.5.9-21.5.1
Patchnames:
slessp3-libvirt-13600
SUSE Linux Enterprise Server 11 SP4
  • libvirt >= 1.2.5-23.6.1
  • libvirt-client >= 1.2.5-23.6.1
  • libvirt-client-32bit >= 1.2.5-23.6.1
  • libvirt-doc >= 1.2.5-23.6.1
  • libvirt-lock-sanlock >= 1.2.5-23.6.1
Patchnames:
slessp4-libvirt-13538
SUSE Linux Enterprise Server 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-client >= 2.0.0-27.34.1
  • libvirt-daemon >= 2.0.0-27.34.1
  • libvirt-daemon-config-network >= 2.0.0-27.34.1
  • libvirt-daemon-config-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-interface >= 2.0.0-27.34.1
  • libvirt-daemon-driver-libxl >= 2.0.0-27.34.1
  • libvirt-daemon-driver-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-driver-network >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nodedev >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-driver-secret >= 2.0.0-27.34.1
  • libvirt-daemon-driver-storage >= 2.0.0-27.34.1
  • libvirt-daemon-hooks >= 2.0.0-27.34.1
  • libvirt-daemon-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-xen >= 2.0.0-27.34.1
  • libvirt-doc >= 2.0.0-27.34.1
  • libvirt-lock-sanlock >= 2.0.0-27.34.1
  • libvirt-nss >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-576
SUSE Linux Enterprise Server 12 SP3
  • libvirt >= 3.3.0-5.19.2
  • libvirt-admin >= 3.3.0-5.19.2
  • libvirt-client >= 3.3.0-5.19.2
  • libvirt-daemon >= 3.3.0-5.19.2
  • libvirt-daemon-config-network >= 3.3.0-5.19.2
  • libvirt-daemon-config-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-interface >= 3.3.0-5.19.2
  • libvirt-daemon-driver-libxl >= 3.3.0-5.19.2
  • libvirt-daemon-driver-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-driver-network >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nodedev >= 3.3.0-5.19.2
  • libvirt-daemon-driver-nwfilter >= 3.3.0-5.19.2
  • libvirt-daemon-driver-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-driver-secret >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-core >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-disk >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-logical >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-5.19.2
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-5.19.2
  • libvirt-daemon-hooks >= 3.3.0-5.19.2
  • libvirt-daemon-lxc >= 3.3.0-5.19.2
  • libvirt-daemon-qemu >= 3.3.0-5.19.2
  • libvirt-daemon-xen >= 3.3.0-5.19.2
  • libvirt-doc >= 3.3.0-5.19.2
  • libvirt-libs >= 3.3.0-5.19.2
  • libvirt-lock-sanlock >= 3.3.0-5.19.2
  • libvirt-nss >= 3.3.0-5.19.2
  • virt-install >= 1.4.1-5.8.1
  • virt-manager >= 1.4.1-5.8.1
  • virt-manager-common >= 1.4.1-5.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-618
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-client >= 2.0.0-27.34.1
  • libvirt-daemon >= 2.0.0-27.34.1
  • libvirt-daemon-config-network >= 2.0.0-27.34.1
  • libvirt-daemon-config-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-interface >= 2.0.0-27.34.1
  • libvirt-daemon-driver-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-driver-network >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nodedev >= 2.0.0-27.34.1
  • libvirt-daemon-driver-nwfilter >= 2.0.0-27.34.1
  • libvirt-daemon-driver-qemu >= 2.0.0-27.34.1
  • libvirt-daemon-driver-secret >= 2.0.0-27.34.1
  • libvirt-daemon-driver-storage >= 2.0.0-27.34.1
  • libvirt-daemon-lxc >= 2.0.0-27.34.1
  • libvirt-daemon-qemu >= 2.0.0-27.34.1
  • libvirt-doc >= 2.0.0-27.34.1
  • libvirt-lock-sanlock >= 2.0.0-27.34.1
  • libvirt-nss >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-576
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libvirt >= 1.2.5-23.6.1
  • libvirt-devel >= 1.2.5-23.6.1
  • libvirt-devel-32bit >= 1.2.5-23.6.1
Patchnames:
sdksp4-libvirt-13538
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-devel >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-576
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libvirt >= 3.3.0-5.19.2
  • libvirt-devel >= 3.3.0-5.19.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-618
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libvirt >= 2.0.0-27.34.1
  • libvirt-client-32bit >= 2.0.0-27.34.1
Patchnames:
SUSE-SLE-WE-12-SP2-2018-576
openSUSE Leap 15.0
  • libvirt-client >= 4.0.0-lp150.6.18
  • libvirt-daemon >= 4.0.0-lp150.6.18
  • libvirt-daemon-config-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-interface >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nodedev >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nwfilter >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-qemu >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-secret >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-core >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-disk >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-logical >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-qemu >= 4.0.0-lp150.6.18
  • libvirt-libs >= 4.0.0-lp150.6.18
Patchnames:
openSUSE Leap 15.0 GA libvirt-client
openSUSE Leap 42.3
  • libvirt >= 3.3.0-15.1
  • libvirt-admin >= 3.3.0-15.1
  • libvirt-admin-debuginfo >= 3.3.0-15.1
  • libvirt-client >= 3.3.0-15.1
  • libvirt-client-debuginfo >= 3.3.0-15.1
  • libvirt-client-debuginfo-32bit >= 3.3.0-15.1
  • libvirt-daemon >= 3.3.0-15.1
  • libvirt-daemon-config-network >= 3.3.0-15.1
  • libvirt-daemon-config-nwfilter >= 3.3.0-15.1
  • libvirt-daemon-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-interface >= 3.3.0-15.1
  • libvirt-daemon-driver-interface-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-libxl >= 3.3.0-15.1
  • libvirt-daemon-driver-libxl-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-lxc >= 3.3.0-15.1
  • libvirt-daemon-driver-lxc-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-network >= 3.3.0-15.1
  • libvirt-daemon-driver-network-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-nodedev >= 3.3.0-15.1
  • libvirt-daemon-driver-nodedev-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-nwfilter >= 3.3.0-15.1
  • libvirt-daemon-driver-nwfilter-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-qemu >= 3.3.0-15.1
  • libvirt-daemon-driver-qemu-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-secret >= 3.3.0-15.1
  • libvirt-daemon-driver-secret-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-storage >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-core >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-core-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-disk >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-disk-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-iscsi-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-logical >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-logical-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-mpath-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-rbd-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-15.1
  • libvirt-daemon-driver-storage-scsi-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-uml >= 3.3.0-15.1
  • libvirt-daemon-driver-uml-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-driver-vbox >= 3.3.0-15.1
  • libvirt-daemon-driver-vbox-debuginfo >= 3.3.0-15.1
  • libvirt-daemon-hooks >= 3.3.0-15.1
  • libvirt-daemon-lxc >= 3.3.0-15.1
  • libvirt-daemon-qemu >= 3.3.0-15.1
  • libvirt-daemon-uml >= 3.3.0-15.1
  • libvirt-daemon-vbox >= 3.3.0-15.1
  • libvirt-daemon-xen >= 3.3.0-15.1
  • libvirt-debugsource >= 3.3.0-15.1
  • libvirt-devel >= 3.3.0-15.1
  • libvirt-devel-32bit >= 3.3.0-15.1
  • libvirt-doc >= 3.3.0-15.1
  • libvirt-libs >= 3.3.0-15.1
  • libvirt-libs-debuginfo >= 3.3.0-15.1
  • libvirt-lock-sanlock >= 3.3.0-15.1
  • libvirt-lock-sanlock-debuginfo >= 3.3.0-15.1
  • libvirt-nss >= 3.3.0-15.1
  • libvirt-nss-debuginfo >= 3.3.0-15.1
  • virt-install >= 1.4.1-9.1
  • virt-manager >= 1.4.1-9.1
  • virt-manager-common >= 1.4.1-9.1
Patchnames:
openSUSE-2018-358


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 libvirt Released
SUSE Linux Enterprise Desktop 12 SP3 libvirt Released
SUSE Linux Enterprise SDK 11 SP4 libvirt Released
SUSE Linux Enterprise SDK 12 SP2 libvirt Released
SUSE Linux Enterprise SDK 12 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Released
SUSE Linux Enterprise Server 11 SP4 libvirt Released
SUSE Linux Enterprise Server 12 GA LTSS libvirt Unsupported
SUSE Linux Enterprise Server 12 SP2 libvirt Released
SUSE Linux Enterprise Server 12 SP3 libvirt Released
SUSE Linux Enterprise Server for SAP 12 GA libvirt Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP2 libvirt Released